cURL
curl --request GET \
--url https://api.staging.qyl.dev/api/v1/issuesimport requests
url = "https://api.staging.qyl.dev/api/v1/issues"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.staging.qyl.dev/api/v1/issues', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"project_id": "<string>",
"fingerprint": "<string>",
"title": "<string>",
"error_type": "<string>",
"category": "<string>",
"level": "debug",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"occurrence_count": 123,
"affected_users_count": 123,
"status": "unresolved",
"priority": "critical",
"regression_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"culprit": "<string>",
"platform": "<string>",
"substatus": "<string>",
"assigned_to": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolved_by": "<string>",
"last_release": "<string>",
"tags_json": "<string>",
"metadata_json": "<string>"
}
],
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Issues
Get apiv1issues
List error issues
GET
/
api
/
v1
/
issues
cURL
Query Parameters
Project ID filter
Status filter Issue lifecycle status
Available options:
unresolved, acknowledged, investigating, in_progress, resolved, ignored, regressed Priority filter Issue priority
Available options:
critical, high, medium, low Level filter Issue severity level
Available options:
debug, info, warning, error, fatal Start time
End time
Page size
Required range:
1 <= x <= 100Cursor
Response
The request has succeeded.
Cursor-based paginated response wrapper
Was this page helpful?
⌘I
